[kernel-team] 21/47: Add script to list which stable series have a given upstream commit

debian-kernel at lists.debian.org debian-kernel at lists.debian.org
Mon Dec 21 00:30:48 UTC 2015


This is an automated email from the git hooks/post-receive script.

benh pushed a commit to branch master
in repository kernel-team.

commit 2075a5cdf01cebccf2bb9fc91557e5898343434a
Author: Ben Hutchings <benh at debian.org>
Date:   Fri Jun 22 04:04:42 2012 +0000

    Add script to list which stable series have a given upstream commit
    
    svn path=/people/benh/; revision=19179
---
 scripts/benh/git-check-in-stable | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/scripts/benh/git-check-in-stable b/scripts/benh/git-check-in-stable
new file mode 100644
index 0000000..98e27e1
--- /dev/null
+++ b/scripts/benh/git-check-in-stable
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# List which stable series have a given upstream commit (or anything
+# else you might want to search for in their commit messages).
+
+set -eu
+
+needle="$1"
+git for-each-ref 'refs/remotes/stable/linux-*' |
+while read commit dummy ref; do
+    version=${ref#refs/remotes/stable/linux-}
+    version=${version%.y}
+    if [ "$version" = 2.6.11 ]; then
+	continue # 2.6.11 is pre-history
+    fi
+    if git rev-list --grep="$needle" v$version..$commit | grep -q .; then
+	echo $version
+    fi
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/kernel/kernel-team.git



More information about the Kernel-svn-changes mailing list